include:
  - project: ekylibre/tools/pipeline-utilities
    ref: 1.0.0
    file: /rubygems/rubygems.yaml

stages:
  - lint
  - test
  - release

lint:
  stage: lint
  image: registry.gitlab.com/ekylibre/tools/rubocop/rubocop:0.2.0
  variables:
    GIT_DEPTH: 1
  script:
    - rubocop --parallel

test:
  stage: test
  image: ruby:2.6-alpine
  cache:
    key: ${CI_JOB_NAME}
    paths:
      - vendor/ruby
  script:
    - apk add build-base
    - bundle install -j $(nproc) --path vendor/ruby
    - bin/rake test

rubygems:
  extends: .rubygems-automatic
  stage: release
  variables:
    GEMSPEC: ekylibre-plugin_system
